#chatbot.cb-hidden {
    display: none;
}

#chatbot .chatbot-container {
    display: none;
}

#chatbot.open .chatbot-container {
    display: block;
    max-height: 330px;
    width: calc(100% + 4px);
    margin-left: -2px;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 0 1em;
    margin-top: 1.5em;
}

#chatbot {
    position: fixed;
    bottom: 0;
    right: 0;
    max-width: 250px;
    max-height: 400px;
    margin: 1em;    
    padding: 1em;
    z-index: 99999;
    font-size: 1.1em;
}

#chatbot.open {
    position: fixed;
    bottom: 0;
    right: 0;
    max-width: 300px;
    max-height: 400px;
    margin: 1em;
    padding: 1em 0;
    border-radius: 1em;
    z-index: 99999;
    background-color: white;
    border: 2px #403f41 solid;
}


#chatbot:not(.open) .chatbot-icon {
    box-shadow: rgb(0 0 0 / 35%) 0px 5px 15px;
    border-radius: 50%;
}

#chatbot.open .chatbot-icon img {
    position: absolute;
    top: -25px;
    height: 50px;
    border: 3px solid #e6e7e8;
    border-radius: 100%;
    left: 0;
    right: 0;
    margin: auto;
    z-index: 10;
}

#chatbot .chatbot-header {
    display: none;
}

#chatbot.open .chatbot-header {
    display: block;
    padding-top: 3em;
    font-size: 0.9em;
    text-align: center;
    line-height: 0.1em;
    position: absolute;
    top: -2px;
    font-weight: 700;
    width: calc(100% + 4px);
    margin-left: -2px;
    left: 0;
    border-radius: 1em 1em 0 0;
    border: 1px solid #403f41;
    background-color: #403f41;
    color: #fff;
}

#chatbot.open .chatbot-container .chatbot-title {
    padding: 0.5em 1.5em;
    background-color: #e6e7e8;
    color: #818386;
    margin-left: -1em;
    width: calc(100% + 2em);
    margin-top: -0.75em;
    background-color: #403f41;
    text-align: center;
    color: #fff;
    line-height: 0em;
    font-size: 1em;
    padding-top: 2em;
}

#chatbot.open .chatbot-container .chatbot-title .bienvenido-title {
    color: #e42015;
    letter-spacing: 0.05em;
    font-weight: 700;
    font-size: 1.2em;
}

#chatbot.open .chatbot-container .chatbot-message {
    border-bottom: solid 1px #e6e7e8;
    margin: 0 calc(-1em + 2px);
    padding: 1px 1em;
    color: #333;
}

.chatbot-message p {
    margin: 0.5em;
}

.chatbot-message.flex {
    display: flex;
}

.chatbot-message.flex img {
    height: 50px;
    margin: 0.75em 0;
}

.chatbot-message.flex div {
    display: flex;
    flex-flow: column;
    justify-content: center;
}

#chatbot.open .chatbot-container .chatbot-message:hover {
    background-color: #f0f2f3;
    color: #000;
}

.chatbot-message p:hover {
    cursor: default;
}

#chatbot.open .chatbot-container .chatbot-message.chatbot-special:hover {
    cursor: default;
    color: #333;
}

#chatbot.open input {
    border: 0;
    border-bottom: solid 1px #cacaca;
    height: 1.5em;
    margin: 0.5em 0;
    width: 100%;
    text-align: left;
    font-size: 1em;
}

#chatbot.open input:focus {
    border: 0;
    border-bottom: solid 2px #000;
    outline: none;
}

#chatbot.open .button-chatbot-message {
    text-align: center;
    border: solid 1px #e6e7e8;
    background-color: #e6e7e8;
    border-radius: 0.5em;
    font-size: 1.25em;
    padding: 0.25em 0;
}

#chatbot.open .button-chatbot-message:hover {
    color: #000;
    cursor: pointer;
}

@media only screen and (max-width: 767px) {
    #chatbot.open {
        max-width: 94%;
        max-height: 70%;
        width: 94%;
        height: 70%;
    }
}

#chatbot.open .chatbot-error {
    color: #990000;
    font-size: 0.95em;
}